Flip Selector

- Main Page
- Related Pages
- Data Structures
- Files
- Examples

Functions
Flip Selector

## Functions
Evas_Object * | elm_flipselector_add (Evas_Object *parent)
| Add a new flip selector widget to the given parent Elementary (container) widget. More...

## Detailed Description

A flip selector is a widget to show a set of text items, one at a time, with the same sheet switching style as the clock widget, when one changes the current displaying sheet (thus, the "flip" in the name).

User clicks to flip sheets which are held for some time will make the flip selector to flip continuously and automatically for the user. The interval between flips will keep growing in time, so that it helps the user to reach an item which is distant from the current selection.

This widget inherits from the Layout one, so that all the functions acting on it also work for flip selector objects.

This widget emits the following signals, besides the ones sent from Layout:

- `"selected"` - when the widget's selected text item is changed. The `event_info` parameter is the item that was selected.
- `"overflowed"` - when the widget's current selection is changed from the first item in its list to the last
- `"underflowed"` - when the widget's current selection is changed from the last item in its list to the first
- `"focused"` - When the flip selector has received focus. (since 1.8)
- `"unfocused"` - When the flip selector has lost focus. (since 1.8)
- `"language,changed"` - the program's language changed (since 1.9)

Available styles for it:

- `"default"`

Default text parts of the flipselector items that you can use for are:

- "default" - A label of the flipselector item

Supported elm_object common APIs.

- elm_object_disabled_set
- elm_object_disabled_get

Supported elm_object_item common APIs.

- elm_object_item_del
- elm_object_item_part_text_set
- elm_object_item_part_text_get
- elm_object_item_signal_emit

Here is an example on its usage:

- Flip selector widget example

## Function Documentation

Evas_Object* elm_flipselector_add | ( | Evas_Object * | parent | ) |

Add a new flip selector widget to the given parent Elementary (container) widget.

Parameters

  parent | The parent object

Returns
  a new flip selector widget handle or `NULL`, on errors

This function inserts a new flip selector widget on the canvas.